## xtide 2.6.4

=== libtcd/Makefile ===
# $Id: Makefile,v 1.2 2002/10/01 18:27:41 flaterco Exp $

# This Makefile is not used by the normal XTide build process.  It is
# included only in case somebody wants to build libtcd without getting
# involved with XTide.

OBJ = bit_pack.o tide_db.o
CFLAGS = -O2

libtcd.a: $(OBJ)
	ar rv libtcd.a $(OBJ)

.c.o:
	$(CC) -c $(CFLAGS) $<

bit_pack.o:     	nvtypes.h
tide_db.o:      	tide_db_header.h tcd.h tide_db_default.h \
			nvtypes.h tide_db_version.h

clean:
	rm -f *.o *.a

=== tcd-utils/Makefile ===
# $Id: Makefile,v 1.5 2003/03/19 14:47:13 flaterco Exp $

# libtcd is mandatory.  It comes with xtide.
# Change this!
LIBTCD_DIR = ../xtide/libtcd

# This must be set one way or another if building tideEditor.
# Qt not required for build_tide_db or restore_tide_db.
# QTDIR = /usr/local/qt-3.0.5


all: build_tide_db restore_tide_db tideEditor
some: build_tide_db restore_tide_db

########################################################################

# Stuff for build_tide_db and restore_tide_db

# build_tide_db and restore_tide_db are simple and do not require Qt.

BUILD_FILES = build_tide_db.o xml.o
RESTORE_FILES = restore_tide_db.o

CFLAGS = -O2 -I$(LIBTCD_DIR)

build_tide_db:  $(BUILD_FILES)
	$(CC) $(BUILD_FILES) $(LIBTCD_DIR)/libtcd.a -lm -o build_tide_db

restore_tide_db:  $(RESTORE_FILES)
	$(CC) $(RESTORE_FILES) $(LIBTCD_DIR)/libtcd.a -lm -o restore_tide_db

build_tide_db.o:	build_tide_db.h
restore_tide_db.o: 	restore_tide_db.h

.c.o:
	$(CC) -c $(CFLAGS) $<

########################################################################

# Stuff for tideEditor

# tideEditor is less simple and requires Qt 3.0.5 or compatible version.

EDFILES = main.o map.o tideEditor.o wvsrtv.o tideDialog.o tideList.o fixpos.o moc_map.o moc_tideDialog.o moc_tideEditor.o moc_tideList.o

CXXFLAGS = -fno-exceptions -O2 -pipe -I$(QTDIR)/include -I$(LIBTCD_DIR)

MOC = $(QTDIR)/bin/moc

tideEditor :  $(EDFILES)
	$(CXX) $(EDFILES) -L $(QTDIR)/lib -Wl,-rpath,$(QTDIR)/lib $(LIBTCD_DIR)/libtcd.a -lqt -o tideEditor

main.o: main.cpp tideEditor.h

map.o: map.cpp map.h

tideEditor.o: tideEditor.cpp tideEditor.h tideEditorHelp.h tideDialog.h map.h

tideDialog.o: tideDialog.cpp tideDialog.h tideDialogHelp.h tideEditor.h version.h

tideList.o: tideList.cpp tideList.h tideListHelp.h tideDialog.h version.h


moc_map.o: moc_map.cpp map.h

moc_map.cpp: map.h
	$(MOC) map.h -o moc_map.cpp


moc_tideEditor.o: moc_tideEditor.cpp tideEditor.h tideDialog.h map.h

moc_tideEditor.cpp: tideEditor.h
	$(MOC) tideEditor.h -o moc_tideEditor.cpp


moc_tideDialog.o: moc_tideDialog.cpp tideDialog.h tideEditor.h

moc_tideDialog.cpp: tideDialog.h
	$(MOC) tideDialog.h -o moc_tideDialog.cpp


moc_tideList.o: moc_tideList.cpp tideList.h tideDialog.h

moc_tideList.cpp: tideList.h
	$(MOC) tideList.h -o moc_tideList.cpp

.cpp.o:
	$(CXX) -c $(CXXFLAGS) -o $@ $<

########################################################################

clean:
	rm -f *.o build_tide_db restore_tide_db tideEditor \
moc_tideEditor.cpp moc_tideDialog.cpp moc_tideList.cpp

## xtide 2.8.2

=== libtcd/Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
-# $Id: Makefile,v 1.2 2002/10/01 18:27:41 flaterco Exp $
+# $Id: Makefile,v 1.7 2004/10/04 14:46:02 flaterco Exp $
 
 # This Makefile is not used by the normal XTide build process.  It is
 # included only in case somebody wants to build libtcd without getting
 # involved with XTide.
 
 OBJ = bit_pack.o tide_db.o
-CFLAGS = -O2
+CFLAGS = -O
 
+# An alternative to ar + ranlib:
+#	libtool -static -o libtcd.a $(OBJ)
 libtcd.a: $(OBJ)
 	ar rv libtcd.a $(OBJ)
+	-ranlib libtcd.a
 
 .c.o:
 	$(CC) -c $(CFLAGS) $<

=== tcd-utils/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.5 2003/03/19 14:47:13 flaterco Exp $
+# $Id: Makefile,v 1.12 2004/10/19 19:02:01 flaterco Exp $
 
 # libtcd is mandatory.  It comes with xtide.
 # Change this!

## xtide 2.11

=== debian/changelog ===
xtide (2.11-1) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Standards-Version: 3.9.0

 -- Peter S Galbraith <psg@debian.org>  Thu, 12 Aug 2010 10:51:03 -0400

xtide (2.10-2) unstable; urgency=low

  * Bug fix: "Icons missing copyright information", thanks to Charlie
    Smotherman for reporting and for the patch (Closes: #557598).

 -- Peter S Galbraith <psg@debian.org>  Thu, 26 Nov 2009 22:04:31 -0500

xtide (2.10-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "more command line options on man page", thanks to Kevin Ryde
    (Closes: #422663).
  * Bug fix: "/etc/cron.weekly/xtide claims to be obsolete", thanks to
    Justin B Rye (Closes: #493990).  Deleted reference to slink and potato.
  * Standards-Version: 3.8.3 without changes.

 -- Peter S Galbraith <psg@debian.org>  Mon, 12 Oct 2009 14:14:06 -0400

xtide (2.9.5-3) unstable; urgency=low

  [ Morten Kjeldgaard <mok@bioxray.au.dk> ]
  * debian/rules: 
    + clean rule modified to satisfy lintian
    + DH_COMPAT line removed.
  * debian/compat: create this file
  * debian/control:
    + versioned dependency of debhelper
    + move webpage from long description to Homepage field
    + bump Standards-Version

  [ Peter S Galbraith ]
  * Bug fix: "xtide: Please add LSB formatted dependency info in init.d
    script", thanks to Petter Reinholdtsen (Closes: #466147).
  * menu entry switched to section "Applications/Science/Geoscience"

 -- Peter S Galbraith <psg@debian.org>  Mon, 25 Feb 2008 21:17:18 -0500
  

xtide (2.9.5-2) unstable; urgency=low

  * Added sharutils to Build-Depends for uudecode.

 -- Peter S Galbraith <psg@debian.org>  Sat, 22 Dec 2007 16:01:57 -0500

xtide (2.9.5-1) unstable; urgency=low

  [ Peter S Galbraith ]
  * New upstream release.

  [ Morten Kjeldgaard ]
  * Add xtide.desktop.
  * Add desktop icons.

 -- Peter S Galbraith <psg@debian.org>  Fri, 21 Dec 2007 21:03:20 -0500

xtide (2.9.3-3) unstable; urgency=low

  * Brown paper bag upload.  Had built locally with a local library and
    created an impossible to-fill dependency.

 -- Peter S Galbraith <psg@debian.org>  Sat, 15 Sep 2007 18:37:42 -0400

xtide (2.9.3-2) unstable; urgency=low

  * Build with --with-xttpd-group=nogroup option to fix xttpd.

 -- Peter S Galbraith <psg@debian.org>  Fri, 14 Sep 2007 21:11:32 -0400

xtide (2.9.3-1) unstable; urgency=low

  * New upstream release (Closes: #377368).
  * Bug fix: "xtide: FTBFS if built twice in a row", thanks to Martin
    Zobel-Helas (Closes: #424099).

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jul 2007 23:11:49 -0400

xtide (2.8.2-3) unstable; urgency=low

  * Bug fix: "FTBFS with G++ 4.1: ... not declared in this scope", thanks
    to Martin Michlmayr for the report and the patch (Closes: #356445).

 -- Peter S Galbraith <psg@debian.org>  Sat, 11 Mar 2006 21:47:09 -0500

xtide (2.8.2-2) unstable; urgency=low

  * Bug fix: "xtide: FTBFS: build-depends on removed xlibs-dev", thanks to
    Adeodato Simó for reporting it (Closes: #346858).  Builds in a chroot
    simply without xlibs-dev, so removing libx11-dev, libxpm-dev,
    libxt-dev and x-dev.

 -- Peter S Galbraith <psg@debian.org>  Fri, 20 Jan 2006 22:29:41 -0500

xtide (2.8.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346858).

 -- Luk Claes <luk@debian.org>  Fri, 20 Jan 2006 18:01:01 +0100

xtide (2.8.2-1) unstable; urgency=low

  * New upstream release. Thanks to Hamish (Closes: #299449).
  * Standards-Version updated to 3.6.0
  
 -- Peter S Galbraith <psg@debian.org>  Wed, 23 Mar 2005 20:11:15 -0500

xtide (2.6.4-1) unstable; urgency=low

  * New upstream release

 -- Peter S Galbraith <psg@debian.org>  Sun, 16 Nov 2003 21:10:48 -0500

xtide (2.6-3) unstable; urgency=low

  * TabulatedConstituent.{cc,hh}: Try again to get around gcc bug on ia64.

 -- Peter S Galbraith <psg@debian.org>  Wed, 11 Jun 2003 20:22:53 -0400

xtide (2.6-2) unstable; urgency=low

  * TabulatedConstituent.cc: comment out redundant speed method to try to
    get around gcc bug on ia64.
  * Point to text of GPL under /usr/share/common-licenses/

 -- Peter S Galbraith <psg@debian.org>  Tue, 10 Jun 2003 23:06:29 -0400

xtide (2.6-1) unstable; urgency=low

  * New upstream release; uses new binary data files.
  * conflicts with old xtide-data format.
  * Standards-Version 3.5.10 without changes.  xttpd does not support
    `reload'.

 -- Peter S Galbraith <psg@debian.org>  Wed, 28 May 2003 16:20:06 -0400

xtide (2.5-2) unstable; urgency=low

  * Build-depend on libxaw7-dev instead of virtual package libxaw-dev
    (closes: #169989).
  * Updated to Standards-Version 3.5.7.  Added DEB_BUILD_OPTIONS support
    for debug.

 -- Peter S Galbraith <psg@debian.org>  Thu, 21 Nov 2002 09:37:15 -0500

xtide (2.5-1) unstable; urgency=low

  * New upstream release.  Users can now can see the coastline in xtide if
    they install 50 MB of data files (not currently packaged for Debian).
  * Updated to Standards-Version 3.5.6 without changes.

 -- Peter S Galbraith <psg@debian.org>  Wed, 24 Jul 2002 11:30:09 -0400

xtide (2.4-1) unstable; urgency=low

  * New upstream release.  The /etc/xtide.conf configuration file may now
    list directory names instead of harmonic data files.  In this case,
    all files in the directory are sourced.
  * Removed harmonics data, now in new xtide-data package.

 -- Peter S Galbraith <psg@debian.org>  Wed,  9 May 2001 22:28:01 -0400

xtide (2.3a-2) unstable; urgency=low

  * Changed Build-depends from:
     debhelper, xlib6g-dev, libpng2-dev, xlibs-dev
    to:
     debhelper, libxaw-dev, xlibs-dev, libpng2-dev 
    for new XFree 4.0.X

 -- Peter S Galbraith <psg@debian.org>  Mon, 19 Feb 2001 11:06:20 -0500

xtide (2.3a-1) unstable; urgency=high

  * The Debian source archive xtide_2.3.orig.tar.gz was not pristine and
    included tidal harmonics data downloaded from the XTide web site.  


=== debian/control ===
Source: xtide
Section: science
Priority: optional
Maintainer: Peter S Galbraith <psg@debian.org>
Homepage: http://www.flaterco.com/xtide/
Build-Depends: debhelper ( >= 7), libxaw7-dev, libpng12-dev, libtcd-dev, tcd-utils, sharutils
Standards-Version: 3.9.0

Package: xtide
Architecture: any
Depends:  ${shlibs:Depends}, ${misc:Depends}
Conflicts: xtide-data (<< 20030409-1)
Recommends: xtide-data, logrotate
Suggests: xtide-coastline
Description: provides tide and current predictions
 XTide is a package that provides tide and current predictions in a wide
 variety of formats. Graphs, text listings, and calendars can be generated,
 or a tide clock can be provided on your desktop.
 .
 XTide can work with the X window system, plain text terminals, or the
 web. This is accomplished with three separate programs: the interactive
 interface (xtide), the non-interactive or command line interface (tide),
 and the web interface (xttpd).
 .
 The algorithm that XTide uses to predict tides is used by the National
 Ocean Service in the U.S. It is significantly more accurate than the
 simple tide clocks that can be bought in novelty stores. However, it takes
 more to predict tides accurately than just a spiffy algorithm -- data are
 required for every tidal prediction location.  This package provides a
 sample data set for only one location so you can try out the package, but
 anything useful requires the data packaged in the xtide-data package (or
 downloaded from the XTide ftp site).

## xtide 2.13

=== debian/changelog ===
xtide (2.13-1) unstable; urgency=low

  * New upstream release
  * Bug fix: "Dependency for xfonts-base package missing", thanks to
    Tobias Löbhard (Closes: #655587).  Added "Depends: xfonts-base".
  * Bug fix: "Please Build-Depends on libpng-dev, change from
    libpng12-dev", thanks to Nobuhiro Iwamatsu (Closes: #662571).

 -- Peter S Galbraith <psg@debian.org>  Fri, 25 Jan 2013 12:06:34 -0500

## xtide 2.13.2

=== debian/changelog ===
xtide (2.13.2-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:08 +0100

xtide (2.13.2-1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:33:56 +0000

xtide (2.13.2-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Please add a debian/watch file", thanks to Sven Joachim
    (Closes: #650945).

 -- Peter S Galbraith <psg@debian.org>  Thu, 23 Oct 2014 20:15:52 -0400

=== debian/watch ===
version=3

opts=passive ftp://ftp.flaterco.com/xtide/xtide-([\d\.]+)\.tar\.bz2

## xtide 2.15.2

=== debian/changelog ===
xtide (2.15.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep}. (Closes: #999246)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 12:21:49 +0200

xtide (2.15.2-1) unstable; urgency=medium

  * New upstream release, thanks to Tobias Frost (Closes: #873549).
  * debian/control:
   - Build-Depends: debhelper-compat (= 13)
   - Standards-Version: 4.5.0
  * debian/compat: deleted
  * debian/rules: added dh_autoreconf &	dh_auto_configure
  * debian/patches/50_manpages_for_debian deleted; not needed.

 -- Peter S Galbraith <psg@debian.org>  Mon, 01 Jun 2020 21:26:48 -0400

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Peter S Galbraith <psg@debian.org>
 Homepage: http://www.flaterco.com/xtide/
-Build-Depends: debhelper ( >= 7), libxaw7-dev, libpng12-dev, libtcd-dev, tcd-utils, sharutils
-Standards-Version: 3.9.0
+Build-Depends: debhelper-compat (= 13), libxaw7-dev, libpng-dev, libtcd-dev, tcd-utils, sharutils
+Standards-Version: 4.5.0
 
 Package: xtide
 Architecture: any
-Depends:  ${shlibs:Depends}, ${misc:Depends}
+Depends:  xfonts-base, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: xtide-data (<< 20030409-1)
 Recommends: xtide-data, logrotate
 Suggests: xtide-coastline

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=xtide

build:
	$(checkdir)
#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	extracxxflags=-g ./configure --with-xttpd-group=nogroup
#else
#	./configure --with-xttpd-group=nogroup
#endif
	dh_autoreconf
	dh_auto_configure -- --with-xttpd-group=nogroup
	make
#ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
#	CFLAGS = -O2 -g -I$(LIBTCD_DIR)
#endif
	build_tide_db harmonics-initial.tcd debian/harmonics-initial.txt 
	uudecode < debian/icons.tar.uu 

clean:
	$(checkdir)
	rm -f build
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f Makefile Makefile.bak
	rm -f config.log config.status config.cache
	rm -f harmonics.tcd harmonics-initial.tcd
	rm -fR .deps
	rm -f icons.tar
	dh_clean

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/xtide
	dh_installdirs usr/lib/x86_64-linux-gnu usr/bin usr/sbin usr/share/$(package) etc/logrotate.d
	make DESTDIR=`pwd`/debian/xtide install
# Need to build harmonics-initial.tcd first...
	install -m 644 harmonics-initial.tcd debian/xtide/usr/share/$(package)
	install -m 644 debian/xtide.conf  debian/xtide/etc/xtide.conf
	install -m 644 debian/logrotate   debian/xtide/etc/logrotate.d/xttpd
	tar -xf icons.tar -C debian/xtide
	dh_installdocs
	dh_installchangelogs
	dh_installmenu
	dh_installman -pxtide tide.1 xtide.1 xttpd.8
	dh_installinit  -pxtide  --init-script=xttpd 
	dh_install debian/xtide.desktop usr/share/applications
	dh_icons
	dh_installcron
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean checkroot

## xtide 2.15.3

=== debian/changelog ===
xtide (2.15.3-0~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 13 Jun 2021 17:18:47 -0400

xtide (2.15.3-0~mx19) mx; urgency=medium

  * New upstream release built against new libtcd 2.2.7-r3

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 13 Jun 2021 14:23:44 -0400

xtide (2.15.2-1~mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 28 Sep 2020 10:52:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xtide
 Section: science
 Priority: optional
-Maintainer: Peter S Galbraith <psg@debian.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+XSBC-Original-Maintainer: Peter S Galbraith <psg@debian.org>
 Homepage: http://www.flaterco.com/xtide/
-Build-Depends: debhelper-compat (= 13), libxaw7-dev, libpng-dev, libtcd-dev, tcd-utils, sharutils
+Build-Depends: debhelper-compat (= 12), libxaw7-dev, libpng-dev, libtcd-dev, tcd-utils, sharutils
 Standards-Version: 4.5.0
 
 Package: xtide
